Chuyển đến nội dung
Diễn đàn CADViet
xaydung

không explore được đối tượng 3D face!!

Các bài được khuyến nghị

Các anh ơi , em có 1 đối tượng là 3D face trên màn hình dạng 1 hình chữ nhật nhưng không thể phá nó ra thành 4 cạch line được, có ai biết thì chỉ giúp mình , mình cám ơn nhiều??

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các anh ơi , em có 1 đối tượng là 3D face trên màn hình dạng 1 hình chữ nhật nhưng không thể phá nó ra thành 4 cạch line được, có ai biết thì chỉ giúp mình , mình cám ơn nhiều??

Lệnh ex3f (explode 3dFace) dưới đây sẽ làm điều đó.

 

(defun c:ex3f ()
 (defun ex3fone (ent)
   (setq
     p1 (dxf ent 10)
     p2 (dxf ent 11)
     p3 (dxf ent 12)
     p4 (dxf ent 13)
   )
   (ml p1 p2)
   (ml p2 p3)
   (ml p3 p4)
   (ml p4 p1)
 )
 (sudung ex3fone (setq ss (ssget '((0 . "3DFACE")))))
 (initget "Yes No")
 (if (/= (getkword "\nErase 3DFace(s)? (<Yes>/No): ") "No")
   (command ".erase" ss "")
 )
 (princ)
)
(defun dxf (ent c)
 (cdr (assoc c (entget ent)))
)
(defun ml (p1 p2)
 (entmake (list (cons 0 "LINE") (cons 10 p1) (cons 11 p2)))
)
(defun sudung (ham ss / sodt index entdt soapp)
 (setq	sodt  (if ss
	(sslength ss)
	0
      )
soapp 0
index 0
 )
 (repeat sodt
   (setq entdt	(ssname ss index)
  index	(1+ index)
   )
   (if	(ham entdt)
     (setq soapp (1+ soapp))
   )
 )
 soapp
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lệnh ex3f (explode 3dFace) dưới đây sẽ làm điều đó.

 

 

(defun c:ex3f ()
(defun ex3fone (ent)
(setq
p1 (dxf ent 10)
p2 (dxf ent 11)
p3 (dxf ent 12)
p4 (dxf ent 13)
)
(ml p1 p2)
(ml p2 p3)
(ml p3 p4)
(ml p4 p1)
)
(sudung ex3fone (setq ss (ssget '((0 . "3DFACE")))))
(initget "Yes No")
(if (/= (getkword "\nErase 3DFace(s)? (<Yes>/No): ") "No")
(command ".erase" ss "")
)
(princ)
)
(defun dxf (ent c)
(cdr (assoc c (entget ent)))
)
(defun ml (p1 p2)
(entmake (list (cons 0 "LINE") (cons 10 p1) (cons 11 p2)))
)
(defun sudung (ham ss / sodt index entdt soapp)
(setq sodt (if ss
(sslength ss)
0
)
soapp 0
index 0
)
(repeat sodt
(setq entdt (ssname ss index)
index (1+ index)
)
(if (ham entdt)
(setq soapp (1+ soapp))
)
)
soapp
)

Bác Hoành ơi!

 

 Cái lisp này có explode  được hình Polyface Mesh không?  Hoặc bác cho em cái Lisp để Explode hình Polyface Mesh nhé! Thanks!

 VD cái hình này!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×